package binary_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type BinaryBatchCancelQueryRequest struct {
	// <ext>core:true</ext> 【批量操作id】批量操作id 【作用】 用于查询批量作废数据签名的结果，该参数可在调用 2.2.3纯接口批量作废数据签名（接口地址) 后的返回参数中获取
	BatchId string `json:"batchId,omitempty"`
}

func (obj BinaryBatchCancelQueryRequest) GetUrl() string {
	return "/binary/batch/cancel/query"
}

func (obj BinaryBatchCancelQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("batchId", obj.BatchId)
	return parameter
}
